



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>H5应用程序缓存 - Cache manifest</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">H5应用程序缓存 - Cache manifest</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-23 03:10:27 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>一、作用</h2>
<p>离线浏览 - 根据文件规则把资源缓存在本地，脱机依然能够访问资源，联网会直接使用缓存在本地的文件。优化加载速度，节约服务器资源。</p>
<h2>二、适用场景</h2>
<p>正如 manifest 英译的名字：<strong>离线应用程序缓存</strong>，这项功能是设计给会有离线场景的应用来使用，例如：需要离线使用的手机APP/H5，亦或是PC端的纯静态页面。</p>
<h2>三、问题</h2>
<h3>1.服务器资源更新后显示滞后需要多刷新一次页面</h3>
<ol><li>首次在载入页面时，浏览器会判断是否引入了 manifest，若检测到引入，则下载并按文件规则缓存资源。</li>
<li>再次载入页面时，便会根据 manifest 中规定的缓存文件使用本地缓存而不是请求服务器资源。</li>
<li>当 manifest 文件更新时，页面加载已经进行，但是缓存更新尚未完成，便会先使用旧 manifest 所缓存的文件，同时浏览器会将新的 manifest 文件里的缓存文件下载下来，若想看到最新的静态资源需要刷新下页面重新加载一次。</li></ol>
<h3>2.全量加载</h3>
<p>当 manifest 文件更新时，所有的资源都要全部被下载一次，并且其中一个出现异常会导致整个 manifest 运行异常。</p>
<h3>3.W3C标准及浏览器支持</h3>
<p>作为 H5 的新属性，初衷是用来构造离线应用的，缓存网站资源的话原本浏览器的缓存机制（304）已经很好了，没必要再使用 manifest 做缓存；实际上因为使用反响并不好，W3C正在废弃 manifest。</p>
<h2>四、使用方法</h2>
<p>首先在标签 <code>&lt;html&gt;</code> 中指定 manifest 配置文件。</p>
<pre class="prettyprint linenums"><code>&lt;html manifest=&quot;manifest.appcache&quot;&gt;<br />
</code></pre>
<p>配置文件 <em>manifest.appcache</em>。</p>
<pre class="prettyprint linenums"><code>CACHE MANIFEST<br />
# 井号备注，这边可以放版本更新时间，修改备注算更新 manifest 文件<br />
CACHE:<br />
# 首次下载 CACHE 后列出来的文件后缓存到本地。<br />
/favicon.ico<br />
/main.css

NETWORK:<br />
# NETWORK 下的文件不可被缓存，必须要与服务器连接。<br />
login.php

FALLBACK:<br />
# 一行放两个路径，第一个是访问资源，第二个是替补；当无法访问前一个资源时，用后一个资源代替之。<br />
/cat/ /404.html<br />
</code></pre>
<p><strong>注意</strong></p>
<p>manifest 会把当前页面缓存下来，所以若想更新当前页，只能先更新 manifest 文件。</p>
<h2>五、总结</h2>
<p>manifest 适用于需要离线运行的应用（定时器，计算器，阅读器等工具）；而需要经常发布频繁更新的网站，这种离线缓存机制并不适合。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m8zr7y1q.html">java 使用 集合 制作学生管理系统</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8ze1z38.html">ASP&period;NET中使用DataGrid控件按照条件显示GridView单元格的颜色</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8o21259.html">Photo Shop切图</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2ed0oq.html">linux下U盘文件只读的解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qyn62x9.html">小甲鱼PE详解之IMAGE&lowbar;DOS&lowbar;HEADER结构定义即各个属性的作用（PE详解01）</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qned4xq.html">使用smtp和pop3 协议收发qq邮箱实验</a>
		</li>
						<li><a href="https://www.batexi.com/a/r935gkwq.html">VS2010设置C&plus;&plus;包含目录和库目录</a>
		</li>
						<li><a href="https://www.batexi.com/a/qydv1pdq.html">WWF3常用类 &amp;lt&semi;第十一篇&amp;gt&semi;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxn6p008.html">Myeclipse 2013 professional 破解，下载</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7m0z2xq.html">POJ2527&plus;多项式除法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zo2d59.html">This 在 C&num; 中的含义</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ok002e9.html">Filter过滤器实现同一地址手机和电脑页面不同</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7myr6xq.html">Dialog式的Activity&lpar;AndroidActivity生命周期&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/96oenpv9.html">Linux中yum手动安装、手动建立仓库文件夹关联实现关联包自动安装、yum相关命令使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgdvgr8.html">Linq 数据操作，两个数组求差、交集、并集</a>
		</li>
						<li><a href="https://www.batexi.com/a/950gw168.html">DDD分层架构之值对象（层超类型篇）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8oj3zd1q.html">Robberies   hdu 2955   01背包</a>
		</li>
						<li><a href="https://www.batexi.com/a/93y606w8.html">SLAM入门之视觉里程计&lpar;5&rpar;：单应矩阵</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7z1gnk9.html">在OpenCV3&period;1&period;0中使用SIFT，SURF算法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnj351g8.html">DataTable转list时 可空类型的转换问题</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qwl7lzl9.html">Windows 10 开发人员预览版中的新增功能（转自 IT之家）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdj6j6zq.html">boost 库的安装</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jmyeke9.html">hdu1003 最大子串和</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7epn1g9.html">java线程池的应用浅析</a>
			</li>
						<li><a href="https://www.batexi.com/a/93p0vv08.html">C&sol;C&plus;&plus;中printf和C&plus;&plus;中cout的输出格式</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pp1gdd9.html">docker 容器内ping不通外网</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rnj6p7q.html">imx6 18bit display</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zk5lyn8.html">HttpModule的简单示例</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwl7z7r9.html">&lbrack;转&rsqb;Tcpcopy简介与实战</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zk5xkn8.html">jQuery 插件开发指南</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
